// License: see LICENSE file at root directory of `master` branch

//! # Kind

use {
    core::ops::RangeInclusive,

    crate::Semver,
};

/// # Kind
#[derive(Debug, Eq, PartialEq, Hash)]
pub (crate) enum Kind {

    /// # Exclusive-Exclusive
    ExclusiveExclusive(RangeInclusive<Semver>),

    /// # Exclusive-Inclusive
    ExclusiveInclusive(RangeInclusive<Semver>),

    /// # Inclusive-Exclusive
    InclusiveExclusive(RangeInclusive<Semver>),

    /// # Inclusive-Inclusive
    InclusiveInclusive(RangeInclusive<Semver>),

}
